package com.example.sam4s;

import com.example.sam4s.R;
import com.sam4s.printer.Sam4sPrint;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class cl_Menu extends Activity {

	private Button btnClose;
	private Button btnText;
	private Button btnCut;
	private Button btnBarcode;
	private Button btn2DBarcode;
	private Button btnPagemode;
	private Button btnImage;
	private Button btnGetPrinterName;	
	private Button btnGetPrinterStatus;
	
	private final int ACTIVITY_MAIN = 2918;
	private final int ACTIVITY_TEXT = ACTIVITY_MAIN+2;
	
	boolean exitActivity = false;
	
	public static Sam4sPrint mPrinter = new Sam4sPrint();
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.menu);	
		
		btnClose = (Button)findViewById(R.id.btnAuto);
		btnClose.setOnClickListener(new CloseMenu());
		
		btnText = (Button)findViewById(R.id.button_text);
		btnText.setOnClickListener(new PrintText());
		
		btnCut = (Button)findViewById(R.id.button_cut);
		btnCut.setOnClickListener(new PrintCut());
		
		btnBarcode = (Button)findViewById(R.id.button_barcode);
		btnBarcode.setOnClickListener(new PrintBarcode());
		
		btn2DBarcode = (Button)findViewById(R.id.button_2dcode);
		btn2DBarcode.setOnClickListener(new Print2DBarcode());
		
		btnPagemode = (Button)findViewById(R.id.button_pagemode);
		btnPagemode.setOnClickListener(new PrintPagemode());
		
		btnImage = (Button)findViewById(R.id.button_image);
		btnImage.setOnClickListener(new PrintImage());		
		
		btnGetPrinterName = (Button)findViewById(R.id.button_getname);
		btnGetPrinterName.setOnClickListener(new GetPrinterName());
		
		btnGetPrinterStatus = (Button)findViewById(R.id.button_getstatus);
		btnGetPrinterStatus.setOnClickListener(new GetPrinterStatus());
	}
	
	@Override
    public void onDestroy() {
        super.onDestroy();
        if(!exitActivity){
        	try
			{
        		mPrinter.closePrinter();
				finish();
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
        }
    }
	
	class CloseMenu implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				mPrinter.closePrinter();
				finish();
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
	
	class PrintText implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				Intent MenuIntent = new Intent(getBaseContext(), cl_Text.class);
				startActivityForResult(MenuIntent, ACTIVITY_TEXT);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}

	class PrintCut implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				Intent MenuIntent = new Intent(getBaseContext(), cl_Cut.class);
				startActivityForResult(MenuIntent, ACTIVITY_TEXT);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}

	class PrintBarcode implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				Intent MenuIntent = new Intent(getBaseContext(), cl_Barcode.class);
				startActivityForResult(MenuIntent, ACTIVITY_TEXT);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
	
	class Print2DBarcode implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				Intent MenuIntent = new Intent(getBaseContext(), cl_Barcode2D.class);
				startActivityForResult(MenuIntent, ACTIVITY_TEXT);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
	
	class PrintPagemode implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				Intent MenuIntent = new Intent(getBaseContext(), cl_Pagemode.class);
				startActivityForResult(MenuIntent, ACTIVITY_TEXT);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
	
	class PrintImage implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				Intent MenuIntent = new Intent(getBaseContext(), cl_Image.class);
				startActivityForResult(MenuIntent, ACTIVITY_TEXT);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
	
	class GetPrinterName implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				String temp = mPrinter.getPrinterName();
				
				if(temp == null) 
					cl_Main.showMsg("ERROR", cl_Menu.this);
				else
					cl_Main.showMsg(temp, cl_Menu.this);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
	
	class GetPrinterStatus implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{
				String temp = mPrinter.getPrinterStatus();
				
				if(temp == null) 
					cl_Main.showMsg("ERROR", cl_Menu.this);
				else
					cl_Main.showMsg(temp, cl_Menu.this);
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}
}
